@echo off
setlocal enableextensions enabledelayedexpansion
@echo.

if exist data\ff13tool.bin rename data\ff13tool.bin ff13tool.exe

cd /d "%~dp0"

if not exist "..\..\FINAL FANTASY XIII" goto DIRNOTOK
if exist "..\white_data\sys\filelist_scru.win32.bin" goto FILEOK
if not exist "..\white_data\sys\filelist_scrc.win32.bin" goto DIRNOTOK
:FILEOK
if exist "..\white_data\sys\white_scru.win32.bin" goto SCROK
if not exist "..\white_data\sys\white_scrc.win32.bin" goto DIRNOTOK
:SCROK
if not exist "chr\pc\c201\bin" goto DIRNOTOK
if not exist "data\ff13tool.exe" goto DIRNOTOK

CHOICE /C ND /N /M "Install (N)ude Lighting, or (D)efault Lightning? "

if %errorlevel% equ 1 goto NUDELIGHT
if %errorlevel% equ 2 goto DEFLIGHT

@echo Invalid response.  Exiting
goto ENDBATCH

:NUDELIGHT

CHOICE /C BF /N /M "Should Lightning have (B)oots, or bare (F)eet? "
set boots=%errorlevel%

if %errorlevel% GTR 0 goto CHOICEOK
@echo Unable to run system command CHOICE.EXE.  Probable cause being that the Windows System
@echo directory is not included the default path. (System32, or SysWOW64)
@echo.
goto ENDBATCH

:CHOICEOK
CHOICE /C PN /N /M "Do you want the leg (P)ouch or (N)o pouch? "
set pouch=%errorlevel% 

CHOICE /C EMLN /N /M "Do you want an (E)arly, (M)id or (L)ate game l'Cie brand, or (N)one? "
set brand=%errorlevel%

set /A options=(%boots% + (%pouch% * 2) - 2)

if %options% EQU 1 copy data\b.trb chr\pc\c201\bin\c201.win32.trb > nul
if %options% EQU 2 copy data\def.trb chr\pc\c201\bin\c201.win32.trb > nul
if %options% EQU 3 copy data\bnp.trb chr\pc\c201\bin\c201.win32.trb > nul
if %options% EQU 4 copy data\np.trb chr\pc\c201\bin\c201.win32.trb > nul

if %brand% EQU 1 copy /b data\001.bin+data\101.bin+data\201.bin+data\base.bin chr\pc\c201\bin\c201.win32.imgb > nul
if %brand% EQU 2 copy /b data\007.bin+data\107.bin+data\207.bin+data\base.bin chr\pc\c201\bin\c201.win32.imgb > nul
if %brand% EQU 3 copy /b data\013.bin+data\113.bin+data\213.bin+data\base.bin chr\pc\c201\bin\c201.win32.imgb > nul
if %brand% EQU 4 copy /b data\000.bin+data\100.bin+data\200.bin+data\base.bin chr\pc\c201\bin\c201.win32.imgb > nul
goto INSTALL

:DEFLIGHT
copy data\orig.trb chr\pc\c201\bin\c201.win32.trb > nul
copy data\orig.imgb chr\pc\c201\bin\c201.win32.imgb > nul

:INSTALL
if not exist "..\white_data\sys\filelist_scru.win32.bin" goto INSTALLSCRC
@echo Installing for English language version
data\ff13tool -i ..\white_data\sys\filelist_scru.win32.bin ..\white_data\sys\white_scru.win32.bin chr\pc\c201\bin\c201.win32.trb
data\ff13tool -i ..\white_data\sys\filelist_scru.win32.bin ..\white_data\sys\white_scru.win32.bin chr\pc\c201\bin\c201.win32.imgb

:INSTALLSCRC
if not exist "..\white_data\sys\filelist_scrc.win32.bin" goto ENDBATCH
@echo Installing for Japanese language version
data\ff13tool -i ..\white_data\sys\filelist_scrc.win32.bin ..\white_data\sys\white_scrc.win32.bin chr\pc\c201\bin\c201.win32.trb
data\ff13tool -i ..\white_data\sys\filelist_scrc.win32.bin ..\white_data\sys\white_scrc.win32.bin chr\pc\c201\bin\c201.win32.imgb

goto ENDBATCH

:DIRNOTOK
@echo Improper directory format or files not found.  Requirements as follows:
@echo.
@echo This mod should be installed in a subdirectory under the main game directory
@echo   FINAL FANTASY XIII 
@echo.
@echo   example: If your game directory was located at:
@echo      D:\SteamLibrary\SteamApps\common\FINAL FANTASY XIII\
@echo   then your mod directory could be:
@echo      D:\SteamLibrary\SteamApps\common\FINAL FANTASY XIII\BareLight\
@echo. 
@echo Within this mod directory, the unzipping process should have created an empty path as follows:
@echo   chr\pc\c201\bin\
@echo.
@echo This mod directory should also contain the FF13Tool.exe or FF13Tool.bin file in the data\ subdirectory.
@echo.

:ENDBATCH
if exist data\ff13tool.exe rename data\ff13tool.exe ff13tool.bin
pause